Audience source mode: manual, hubspot_list, or sales_navigator. Defaults to manual.
Available options:
manual,
hubspot_list,
sales_navigator
aiContext
string | null
Optional AI context to store on the audience.
contacts
(object | null)[] | null
Optional external contacts for manual mode, such as pasted rows, CSV rows, or CRM exports. Each contact may include customVariables. Cannot be combined with prospects.
Show child attributes
prospects
(object | null)[] | null
Optional saved prospects for manual mode: up to 500 unique objects with prospectId and optional customVariables.
Use exact persisted prospectId values returned by FirstTouch tools, not profile URLs.
Cannot be combined with contacts.
Values are saved on audience contacts and copied to newly created enrollment candidates.
Show child attributes
hubspotListId
string | null
HubSpot list id for hubspot_list mode. Use the exact listId/id returned by list_hubspot_lists; do not pass an audienceId here.
salesNavigator
object | null
Sales Navigator source configuration for sales_navigator mode.
Show child attributes
Response
Tool result.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"First Touch Documentation","description":"Learn how to configure and use FirstTouch Audiences, Flow Plans, outreach channels, integrations, signals, enrichment, billing, and Team settings.","colors":{"primary":"#3c5d29"},"logo":{"light":"https://mintcdn.com/firsttouchinc/KoeOV6b_CS31YYJH/logo/ft-logo-light.svg?fit=max\u0026auto=format\u0026n=KoeOV6b_CS31YYJH\u0026q=85\u0026s=87af502d498df0381cc422a74010729f","dark":"https://mintcdn.com/firsttouchinc/KoeOV6b_CS31YYJH/logo/ft-logo-dark.svg?fit=max\u0026auto=format\u0026n=KoeOV6b_CS31YYJH\u0026q=85\u0026s=43031200d6e10cf2a9cdd58f9ffa386d","href":"https://firsttouch.com"},"favicon":"https://mintcdn.com/firsttouchinc/YNC84l3c5ycxIlUb/favicon.png?fit=max\u0026auto=format\u0026n=YNC84l3c5ycxIlUb\u0026q=85\u0026s=724d9849b1f153b10ef6deac92b79449","api":{"playground":{}},"icons":{"library":"fontawesome"},"markdown":{"schema":false,"instructions":"For API operations, fetch https://gateway.firsttouch.ai/api/public/openapi.json for the complete input/output schemas, internal references, and x-mcp-annotations. Endpoint Markdown intentionally omits generated schema fragments. Select /api/public/tools/\u003ctool_name> using the exact underscore-separated name. Send requests to https://gateway.firsttouch.ai; the canonical document currently omits servers. Start at https://docs.firsttouch.com/api-reference/agent-start.md."},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"firsttouchinc","hasAudioNarration":false,"actualSubdomain":"firsttouchinc","customDomains":["docs.firsttouch.com"],"gitSource":{"type":"github","owner":"first-touch-inc","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6afc86be2ccb0a3576578f8e","clientVersion":"0.0.4270","searchFilterCounts":[{"language":"default","tag":"Public API","count":92},{"language":"default","tag":"API Operations","count":86},{"language":"default","tag":"Web App","count":66},{"language":"default","tag":"Flows","count":18},{"language":"default","tag":"Enrollments","count":12},{"language":"default","tag":"Flow Plans","count":11},{"language":"default","tag":"Social Engagement","count":11},{"language":"default","tag":"Contact Data \u0026 Enrichment","count":10},{"language":"default","tag":"Tasks \u0026 Outreach Queues","count":10},{"language":"default","tag":"HubSpot","count":8}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[]}
{"page":{"pagePath":"api-reference/operations/audiences/create-audience","slug":"/api-reference/operations/audiences/create-audience","pageMetadata":{"title":"Create Audience","description":"Requires the admin team role or global admin access. Check get_current_user.toolAccess before calling.\n\nCreates an unlinked FirstTouch audience from supplied contacts, saved prospects, a connected HubSpot list, or a Sales Navigator search/list.\n\n\u003cdetails>\n\u003csummary>\u003cstrong>Detailed usage guidance\u003c/strong>\u003c/summary>\n\u003cul>\n\u003cli>Manual mode accepts either contacts with contact data or prospects with exact persisted prospectId values, never both.\u003c/li>\n\u003cli>Both support per-contact customVariables saved before flow definitions exist.\u003c/li>\n\u003cli>Loading saved prospects does not continue discovery or charge discovery credits.\u003c/li>\n\u003cli>hubspot_list schedules background synchronization; sales_navigator starts a background import using the selected LinkedIn account.\u003c/li>\n\u003cli>This tool does not attach the audience to a Flow Plan, publish a flow, enroll contacts, or execute flow steps.\u003c/li>\n\u003cli>Use attach_audience_to_flow as a separate call when the user wants to link the created audience to a flow.\u003c/li>\n\u003cli>Read get_guide with topic=audience_management before creating an audience.\u003c/li>\n\u003c/ul>\n\u003c/details>","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/create_audience","href":"/api-reference/operations/audiences/create-audience","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Requires the admin team role or global admin access. Check get_current_user.toolAccess before calling.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Creates an unlinked FirstTouch audience from supplied contacts, saved prospects, a connected HubSpot list, or a Sales Navigator search/list.\"\n }), \"\\n\", _jsxs(\"details\", {\n children: [_jsx(\"summary\", {\n children: _jsx(\"strong\", {\n children: \"Detailed usage guidance\"\n })\n }), _jsxs(\"ul\", {\n children: [_jsx(\"li\", {\n children: \"Manual mode accepts either contacts with contact data or prospects with exact persisted prospectId values, never both.\"\n }), _jsx(\"li\", {\n children: \"Both support per-contact customVariables saved before flow definitions exist.\"\n }), _jsx(\"li\", {\n children: \"Loading saved prospects does not continue discovery or charge discovery credits.\"\n }), _jsx(\"li\", {\n children: \"hubspot_list schedules background synchronization; sales_navigator starts a background import using the selected LinkedIn account.\"\n }), _jsx(\"li\", {\n children: \"This tool does not attach the audience to a Flow Plan, publish a flow, enroll contacts, or execute flow steps.\"\n }), _jsx(\"li\", {\n children: \"Use attach_audience_to_flow as a separate call when the user wants to link the created audience to a flow.\"\n }), _jsx(\"li\", {\n children: \"Read get_guide with topic=audience_management before creating an audience.\"\n })]\n })]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Audience","description":"Requires the admin team role or global admin access. Check get_current_user.toolAccess before calling.\n\nCreates an unlinked FirstTouch audience from supplied contacts, saved prospects, a connected HubSpot list, or a Sales Navigator search/list.\n\n\u003cdetails>\n\u003csummary>\u003cstrong>Detailed usage guidance\u003c/strong>\u003c/summary>\n\u003cul>\n\u003cli>Manual mode accepts either contacts with contact data or prospects with exact persisted prospectId values, never both.\u003c/li>\n\u003cli>Both support per-contact customVariables saved before flow definitions exist.\u003c/li>\n\u003cli>Loading saved prospects does not continue discovery or charge discovery credits.\u003c/li>\n\u003cli>hubspot_list schedules background synchronization; sales_navigator starts a background import using the selected LinkedIn account.\u003c/li>\n\u003cli>This tool does not attach the audience to a Flow Plan, publish a flow, enroll contacts, or execute flow steps.\u003c/li>\n\u003cli>Use attach_audience_to_flow as a separate call when the user wants to link the created audience to a flow.\u003c/li>\n\u003cli>Read get_guide with topic=audience_management before creating an audience.\u003c/li>\n\u003c/ul>\n\u003c/details>","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/create_audience","href":"/api-reference/operations/audiences/create-audience","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/firsttouchinc/6d1b937a89d41ade/logo/pylon-chat.js"],"openApiReferenceData":{"operation":{"operationId":"create_audience","summary":"Create Audience","description":"Requires the admin team role or global admin access. Check get_current_user.toolAccess before calling.\n\nCreates an unlinked FirstTouch audience from supplied contacts, saved prospects, a connected HubSpot list, or a Sales Navigator search/list.\n\n\u003cdetails>\n\u003csummary>\u003cstrong>Detailed usage guidance\u003c/strong>\u003c/summary>\n\u003cul>\n\u003cli>Manual mode accepts either contacts with contact data or prospects with exact persisted prospectId values, never both.\u003c/li>\n\u003cli>Both support per-contact customVariables saved before flow definitions exist.\u003c/li>\n\u003cli>Loading saved prospects does not continue discovery or charge discovery credits.\u003c/li>\n\u003cli>hubspot_list schedules background synchronization; sales_navigator starts a background import using the selected LinkedIn account.\u003c/li>\n\u003cli>This tool does not attach the audience to a Flow Plan, publish a flow, enroll contacts, or execute flow steps.\u003c/li>\n\u003cli>Use attach_audience_to_flow as a separate call when the user wants to link the created audience to a flow.\u003c/li>\n\u003cli>Read get_guide with topic=audience_management before creating an audience.\u003c/li>\n\u003c/ul>\n\u003c/details>","tags":["Audiences"],"security":["03376a8e-cf4e-49ad-8c49-6c13c8ab946f"],"requestBody":"a3d792c0-5c4b-4e02-9d9b-8e6e693aae98","responses":{"200":"344133c7-4b45-4c30-ac01-f6e37a2eab2b","400":"fa24b678-a2f0-4703-9241-eacda4fa6caa","401":"2203bb16-54f2-499e-b3c4-21246909758c","403":"2911653e-19bc-4c08-a17e-d1fe0668be8d","404":"77c6f388-eca5-4472-9070-bf926caa5d3e","409":"5a3db5e3-fdbe-4114-91bf-acca33056f79","429":"46817ff6-5d47-488c-87cd-86e75cf4e7b1","499":"89f296b2-f391-43a2-90fd-2ffcf7593780","500":"a476fd43-3b44-4b18-91e2-3e7f355eb47b"},"x-mcp-annotations":{"title":"Create Audience","destructiveHint":false,"idempotentHint":false,"openWorldHint":true,"readOnlyHint":false},"method":"post","type":"path","servers":["242e9488-70ab-42dc-bbbd-3e1d27b9a0d2"],"path":"/api/public/tools/create_audience","baseUrlOptions":["https://gateway.firsttouch.ai"],"title":"Create Audience","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"oneOf":[{"description":"Audience name.","type":"string","isRequired":true,"uniqueKey":"name.oneOf.0","typeLabel":"string"},{"description":"Audience name.","type":"null","isRequired":true,"uniqueKey":"name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"name","typeLabel":"string | null"},"mode":{"description":"Audience source mode: manual, hubspot_list, or sales_navigator. Defaults to manual.","type":"string","enum":["manual","hubspot_list","sales_navigator"],"default":"manual","uniqueKey":"mode","typeLabel":"enum\u003cstring>"},"aiContext":{"oneOf":[{"description":"Optional AI context to store on the audience.","type":"string","default":null,"uniqueKey":"aiContext.oneOf.0","typeLabel":"string"},{"description":"Optional AI context to store on the audience.","type":"null","default":null,"uniqueKey":"aiContext.oneOf.1","typeLabel":"null"}],"uniqueKey":"aiContext","typeLabel":"string | null"},"contacts":{"oneOf":[{"description":"Optional external contacts for manual mode, such as pasted rows, CSV rows, or CRM exports. Each contact may include customVariables. Cannot be combined with prospects.","type":"array","items":{"oneOf":[{"type":"object","properties":{"firstName":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.firstName.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.firstName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.firstName","typeLabel":"string | null"},"lastName":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.lastName.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.lastName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.lastName","typeLabel":"string | null"},"companyDomain":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.companyDomain.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.companyDomain.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.companyDomain","typeLabel":"string | null"},"linkedinUrl":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.linkedinUrl.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.linkedinUrl.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.linkedinUrl","typeLabel":"string | null"},"email":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.email.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.email.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.email","typeLabel":"string | null"},"phone":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.phone.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.phone.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.phone","typeLabel":"string | null"},"role":{"oneOf":[{"type":"string","default":null,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.role.oneOf.0","typeLabel":"string"},{"type":"null","default":null,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.role.oneOf.1","typeLabel":"null"}],"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.role","typeLabel":"string | null"},"companyName":{"oneOf":[{"type":"string","default":null,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.companyName.oneOf.0","typeLabel":"string"},{"type":"null","default":null,"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.companyName.oneOf.1","typeLabel":"null"}],"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.companyName","typeLabel":"string | null"},"customVariables":{"oneOf":[{"description":"Optional per-contact custom inputs, independent of flow definitions. Up to 20 named string, integer, or boolean values; strings up to 10000 characters without curly braces; total serialized JSON up to 20 KiB.","type":"object","uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.customVariables.oneOf.0","typeLabel":"object"},{"description":"Optional per-contact custom inputs, independent of flow definitions. Up to 20 named string, integer, or boolean values; strings up to 10000 characters without curly braces; total serialized JSON up to 20 KiB.","type":"null","uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.customVariables.oneOf.1","typeLabel":"null"}],"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0.customVariables","typeLabel":"object | null"}},"required":["firstName","lastName","companyDomain","linkedinUrl","email","phone"],"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.0","typeLabel":"object"},{"type":"null","properties":{"firstName":{"oneOf":[{"type":"string"},{"type":"null"}]},"lastName":{"oneOf":[{"type":"string"},{"type":"null"}]},"companyDomain":{"oneOf":[{"type":"string"},{"type":"null"}]},"linkedinUrl":{"oneOf":[{"type":"string"},{"type":"null"}]},"email":{"oneOf":[{"type":"string"},{"type":"null"}]},"phone":{"oneOf":[{"type":"string"},{"type":"null"}]},"role":{"oneOf":[{"type":"string","default":null},{"type":"null","default":null}]},"companyName":{"oneOf":[{"type":"string","default":null},{"type":"null","default":null}]},"customVariables":{"oneOf":[{"description":"Optional per-contact custom inputs, independent of flow definitions. Up to 20 named string, integer, or boolean values; strings up to 10000 characters without curly braces; total serialized JSON up to 20 KiB.","type":"object"},{"description":"Optional per-contact custom inputs, independent of flow definitions. Up to 20 named string, integer, or boolean values; strings up to 10000 characters without curly braces; total serialized JSON up to 20 KiB.","type":"null"}]}},"required":["firstName","lastName","companyDomain","linkedinUrl","email","phone"],"uniqueKey":"contacts.oneOf.0.items.[INDEX].oneOf.1","typeLabel":"null"}],"uniqueKey":"contacts.oneOf.0.items.[INDEX]","typeLabel":"object | null"},"default":null,"uniqueKey":"contacts.oneOf.0","typeLabel":"(object | null)[]"},{"description":"Optional external contacts for manual mode, such as pasted rows, CSV rows, or CRM exports. Each contact may include customVariables. Cannot be combined with prospects.","type":"null","items":{"oneOf":[{"type":"object","properties":{"firstName":{"oneOf":[{"type":"string"},{"type":"null"}]},"lastName":{"oneOf":[{"type":"string"},{"type":"null"}]},"companyDomain":{"oneOf":[{"type":"string"},{"type":"null"}]},"linkedinUrl":{"oneOf":[{"type":"string"},{"type":"null"}]},"email":{"oneOf":[{"type":"string"},{"type":"null"}]},"phone":{"oneOf":[{"type":"string"},{"type":"null"}]},"role":{"oneOf":[{"type":"string","default":null},{"type":"null","default":null}]},"companyName":{"oneOf":[{"type":"string","default":null},{"type":"null","default":null}]},"customVariables":{"oneOf":[{"description":"Optional per-contact custom inputs, independent of flow definitions. Up to 20 named string, integer, or boolean values; strings up to 10000 characters without curly braces; total serialized JSON up to 20 KiB.","type":"object"},{"description":"Optional per-contact custom inputs, independent of flow definitions. Up to 20 named string, integer, or boolean values; strings up to 10000 characters without curly braces; total serialized JSON up to 20 KiB.","type":"null"}]}},"required":["firstName","lastName","companyDomain","linkedinUrl","email","phone"]},{"type":"null","properties":{"firstName":{"oneOf":[{"type":"string"},{"type":"null"}]},"lastName":{"oneOf":[{"type":"string"},{"type":"null"}]},"companyDomain":{"oneOf":[{"type":"string"},{"type":"null"}]},"linkedinUrl":{"oneOf":[{"type":"string"},{"type":"null"}]},"email":{"oneOf":[{"type":"string"},{"type":"null"}]},"phone":{"oneOf":[{"type":"string"},{"type":"null"}]},"role":{"oneOf":[{"type":"string","default":null},{"type":"null","default":null}]},"companyName":{"oneOf":[{"type":"string","default":null},{"type":"null","default":null}]},"customVariables":{"oneOf":[{"description":"Optional per-contact custom inputs, independent of flow definitions. Up to 20 named string, integer, or boolean values; strings up to 10000 characters without curly braces; total serialized JSON up to 20 KiB.","type":"object"},{"description":"Optional per-contact custom inputs, independent of flow definitions. Up to 20 named string, integer, or boolean values; strings up to 10000 characters without curly braces; total serialized JSON up to 20 KiB.","type":"null"}]}},"required":["firstName","lastName","companyDomain","linkedinUrl","email","phone"]}]},"default":null,"uniqueKey":"contacts.oneOf.1","typeLabel":"null"}],"uniqueKey":"contacts","typeLabel":"(object | null)[] | null"},"prospects":{"oneOf":[{"description":"Optional saved prospects for manual mode: up to 500 unique objects with prospectId and optional customVariables.\n\n- Use exact persisted prospectId values returned by FirstTouch tools, not profile URLs.\n- Cannot be combined with contacts.\n- Values are saved on audience contacts and copied to newly created enrollment candidates.","type":"array","items":{"oneOf":[{"type":"object","properties":{"prospectId":{"oneOf":[{"description":"Exact persisted prospectId returned by FirstTouch contact discovery or enrichment; not a profile URL.","type":"string","isRequired":true,"uniqueKey":"prospects.oneOf.0.items.[INDEX].oneOf.0.prospectId.oneOf.0","typeLabel":"string"},{"description":"Exact persisted prospectId returned by FirstTouch contact discovery or enrichment; not a profile URL.","type":"null","isRequired":true,"uniqueKey":"prospects.oneOf.0.items.[INDEX].oneOf.0.prospectId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"prospects.oneOf.0.items.[INDEX].oneOf.0.prospectId","typeLabel":"string | null"},"customVariables":{"oneOf":[{"description":"Optional per-contact custom inputs, independent of flow definitions. Up to 20 string, integer, or boolean values; strings up to 10000 characters without curly braces; total serialized JSON up to 20 KiB.","type":"object","uniqueKey":"prospects.oneOf.0.items.[INDEX].oneOf.0.customVariables.oneOf.0","typeLabel":"object"},{"description":"Optional per-contact custom inputs, independent of flow definitions. Up to 20 string, integer, or boolean values; strings up to 10000 characters without curly braces; total serialized JSON up to 20 KiB.","type":"null","uniqueKey":"prospects.oneOf.0.items.[INDEX].oneOf.0.customVariables.oneOf.1","typeLabel":"null"}],"uniqueKey":"prospects.oneOf.0.items.[INDEX].oneOf.0.customVariables","typeLabel":"object | null"}},"required":["prospectId"],"uniqueKey":"prospects.oneOf.0.items.[INDEX].oneOf.0","typeLabel":"object"},{"type":"null","properties":{"prospectId":{"oneOf":[{"description":"Exact persisted prospectId returned by FirstTouch contact discovery or enrichment; not a profile URL.","type":"string"},{"description":"Exact persisted prospectId returned by FirstTouch contact discovery or enrichment; not a profile URL.","type":"null"}]},"customVariables":{"oneOf":[{"description":"Optional per-contact custom inputs, independent of flow definitions. Up to 20 string, integer, or boolean values; strings up to 10000 characters without curly braces; total serialized JSON up to 20 KiB.","type":"object"},{"description":"Optional per-contact custom inputs, independent of flow definitions. Up to 20 string, integer, or boolean values; strings up to 10000 characters without curly braces; total serialized JSON up to 20 KiB.","type":"null"}]}},"required":["prospectId"],"uniqueKey":"prospects.oneOf.0.items.[INDEX].oneOf.1","typeLabel":"null"}],"uniqueKey":"prospects.oneOf.0.items.[INDEX]","typeLabel":"object | null"},"default":null,"uniqueKey":"prospects.oneOf.0","typeLabel":"(object | null)[]"},{"description":"Optional saved prospects for manual mode: up to 500 unique objects with prospectId and optional customVariables.\n\n- Use exact persisted prospectId values returned by FirstTouch tools, not profile URLs.\n- Cannot be combined with contacts.\n- Values are saved on audience contacts and copied to newly created enrollment candidates.","type":"null","items":{"oneOf":[{"type":"object","properties":{"prospectId":{"oneOf":[{"description":"Exact persisted prospectId returned by FirstTouch contact discovery or enrichment; not a profile URL.","type":"string"},{"description":"Exact persisted prospectId returned by FirstTouch contact discovery or enrichment; not a profile URL.","type":"null"}]},"customVariables":{"oneOf":[{"description":"Optional per-contact custom inputs, independent of flow definitions. Up to 20 string, integer, or boolean values; strings up to 10000 characters without curly braces; total serialized JSON up to 20 KiB.","type":"object"},{"description":"Optional per-contact custom inputs, independent of flow definitions. Up to 20 string, integer, or boolean values; strings up to 10000 characters without curly braces; total serialized JSON up to 20 KiB.","type":"null"}]}},"required":["prospectId"]},{"type":"null","properties":{"prospectId":{"oneOf":[{"description":"Exact persisted prospectId returned by FirstTouch contact discovery or enrichment; not a profile URL.","type":"string"},{"description":"Exact persisted prospectId returned by FirstTouch contact discovery or enrichment; not a profile URL.","type":"null"}]},"customVariables":{"oneOf":[{"description":"Optional per-contact custom inputs, independent of flow definitions. Up to 20 string, integer, or boolean values; strings up to 10000 characters without curly braces; total serialized JSON up to 20 KiB.","type":"object"},{"description":"Optional per-contact custom inputs, independent of flow definitions. Up to 20 string, integer, or boolean values; strings up to 10000 characters without curly braces; total serialized JSON up to 20 KiB.","type":"null"}]}},"required":["prospectId"]}]},"default":null,"uniqueKey":"prospects.oneOf.1","typeLabel":"null"}],"uniqueKey":"prospects","typeLabel":"(object | null)[] | null"},"hubspotListId":{"oneOf":[{"description":"HubSpot list id for hubspot_list mode. Use the exact listId/id returned by list_hubspot_lists; do not pass an audienceId here.","type":"string","default":null,"uniqueKey":"hubspotListId.oneOf.0","typeLabel":"string"},{"description":"HubSpot list id for hubspot_list mode. Use the exact listId/id returned by list_hubspot_lists; do not pass an audienceId here.","type":"null","default":null,"uniqueKey":"hubspotListId.oneOf.1","typeLabel":"null"}],"uniqueKey":"hubspotListId","typeLabel":"string | null"},"salesNavigator":{"oneOf":[{"description":"Sales Navigator source configuration for sales_navigator mode.","type":"object","properties":{"linAccountId":{"oneOf":[{"description":"LinkedIn account id to use for Sales Navigator import. Example: linkedin_account_123. Use the linAccountId associated with the selected Sales Navigator-capable candidate.","type":"string","uniqueKey":"salesNavigator.oneOf.0.linAccountId.oneOf.0","typeLabel":"string"},{"description":"LinkedIn account id to use for Sales Navigator import. Example: linkedin_account_123. Use the linAccountId associated with the selected Sales Navigator-capable candidate.","type":"null","uniqueKey":"salesNavigator.oneOf.0.linAccountId.oneOf.1","typeLabel":"null"}],"uniqueKey":"salesNavigator.oneOf.0.linAccountId","typeLabel":"string | null"},"salesNavigatorUrl":{"oneOf":[{"description":"Sales Navigator search or list URL to import from.","type":"string","uniqueKey":"salesNavigator.oneOf.0.salesNavigatorUrl.oneOf.0","typeLabel":"string"},{"description":"Sales Navigator search or list URL to import from.","type":"null","uniqueKey":"salesNavigator.oneOf.0.salesNavigatorUrl.oneOf.1","typeLabel":"null"}],"uniqueKey":"salesNavigator.oneOf.0.salesNavigatorUrl","typeLabel":"string | null"},"maxItems":{"oneOf":[{"description":"Maximum number of prospects to import.","type":"integer","uniqueKey":"salesNavigator.oneOf.0.maxItems.oneOf.0","typeLabel":"integer"},{"description":"Maximum number of prospects to import.","type":"null","uniqueKey":"salesNavigator.oneOf.0.maxItems.oneOf.1","typeLabel":"null"}],"uniqueKey":"salesNavigator.oneOf.0.maxItems","typeLabel":"integer | null"}},"default":null,"uniqueKey":"salesNavigator.oneOf.0","typeLabel":"object"},{"description":"Sales Navigator source configuration for sales_navigator mode.","type":"null","properties":{"linAccountId":{"oneOf":[{"description":"LinkedIn account id to use for Sales Navigator import. Example: linkedin_account_123. Use the linAccountId associated with the selected Sales Navigator-capable candidate.","type":"string"},{"description":"LinkedIn account id to use for Sales Navigator import. Example: linkedin_account_123. Use the linAccountId associated with the selected Sales Navigator-capable candidate.","type":"null"}]},"salesNavigatorUrl":{"oneOf":[{"description":"Sales Navigator search or list URL to import from.","type":"string"},{"description":"Sales Navigator search or list URL to import from.","type":"null"}]},"maxItems":{"oneOf":[{"description":"Maximum number of prospects to import.","type":"integer"},{"description":"Maximum number of prospects to import.","type":"null"}]}},"default":null,"uniqueKey":"salesNavigator.oneOf.1","typeLabel":"null"}],"uniqueKey":"salesNavigator","typeLabel":"object | null"}},"required":["name"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"\u003cstring>","mode":"manual","aiContext":null,"contacts":null,"prospects":null,"hubspotListId":null,"salesNavigator":null}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"344133c7-4b45-4c30-ac01-f6e37a2eab2b":{"description":"Tool result.","content":{"application/json":{"schema":{}}},"exampleType":"generated"},"fa24b678-a2f0-4703-9241-eacda4fa6caa":{"description":"Malformed tool input or validation failure.","content":{"application/json":{"schema":{"type":"object","required":["error","message","traceId"],"properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"traceId":{"type":"string","isRequired":true,"uniqueKey":"traceId","typeLabel":"string"},"details":{"type":"object","properties":{"currentStatus":{"type":"string","enum":["pending","failed","canceled"],"uniqueKey":"details.currentStatus","typeLabel":"enum\u003cstring>"}},"uniqueKey":"details","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","message":"\u003cstring>","traceId":"\u003cstring>","details":{"currentStatus":"pending"}}}},"exampleType":"generated"}},"exampleType":"generated"},"2203bb16-54f2-499e-b3c4-21246909758c":{"description":"Authentication failed.","content":{"application/json":{"schema":{"type":"object","required":["error","message","traceId"],"properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"traceId":{"type":"string","isRequired":true,"uniqueKey":"traceId","typeLabel":"string"},"details":{"type":"object","properties":{"currentStatus":{"type":"string","enum":["pending","failed","canceled"],"uniqueKey":"details.currentStatus","typeLabel":"enum\u003cstring>"}},"uniqueKey":"details","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","message":"\u003cstring>","traceId":"\u003cstring>","details":{"currentStatus":"pending"}}}},"exampleType":"generated"}},"exampleType":"generated"},"2911653e-19bc-4c08-a17e-d1fe0668be8d":{"description":"The caller cannot perform this operation.","content":{"application/json":{"schema":{"type":"object","required":["error","message","traceId"],"properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"traceId":{"type":"string","isRequired":true,"uniqueKey":"traceId","typeLabel":"string"},"details":{"type":"object","properties":{"currentStatus":{"type":"string","enum":["pending","failed","canceled"],"uniqueKey":"details.currentStatus","typeLabel":"enum\u003cstring>"}},"uniqueKey":"details","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","message":"\u003cstring>","traceId":"\u003cstring>","details":{"currentStatus":"pending"}}}},"exampleType":"generated"}},"exampleType":"generated"},"77c6f388-eca5-4472-9070-bf926caa5d3e":{"description":"The requested resource was not found.","content":{"application/json":{"schema":{"type":"object","required":["error","message","traceId"],"properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"traceId":{"type":"string","isRequired":true,"uniqueKey":"traceId","typeLabel":"string"},"details":{"type":"object","properties":{"currentStatus":{"type":"string","enum":["pending","failed","canceled"],"uniqueKey":"details.currentStatus","typeLabel":"enum\u003cstring>"}},"uniqueKey":"details","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","message":"\u003cstring>","traceId":"\u003cstring>","details":{"currentStatus":"pending"}}}},"exampleType":"generated"}},"exampleType":"generated"},"5a3db5e3-fdbe-4114-91bf-acca33056f79":{"description":"The operation conflicts with current state.","content":{"application/json":{"schema":{"type":"object","required":["error","message","traceId"],"properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"traceId":{"type":"string","isRequired":true,"uniqueKey":"traceId","typeLabel":"string"},"details":{"type":"object","properties":{"currentStatus":{"type":"string","enum":["pending","failed","canceled"],"uniqueKey":"details.currentStatus","typeLabel":"enum\u003cstring>"}},"uniqueKey":"details","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","message":"\u003cstring>","traceId":"\u003cstring>","details":{"currentStatus":"pending"}}}},"exampleType":"generated"}},"exampleType":"generated"},"46817ff6-5d47-488c-87cd-86e75cf4e7b1":{"description":"The operation was rate limited.","content":{"application/json":{"schema":{"type":"object","required":["error","message","traceId"],"properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"traceId":{"type":"string","isRequired":true,"uniqueKey":"traceId","typeLabel":"string"},"details":{"type":"object","properties":{"currentStatus":{"type":"string","enum":["pending","failed","canceled"],"uniqueKey":"details.currentStatus","typeLabel":"enum\u003cstring>"}},"uniqueKey":"details","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","message":"\u003cstring>","traceId":"\u003cstring>","details":{"currentStatus":"pending"}}}},"exampleType":"generated"}},"exampleType":"generated"},"89f296b2-f391-43a2-90fd-2ffcf7593780":{"description":"The client canceled the request.","content":{"application/json":{"schema":{"type":"object","required":["error","message","traceId"],"properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"traceId":{"type":"string","isRequired":true,"uniqueKey":"traceId","typeLabel":"string"},"details":{"type":"object","properties":{"currentStatus":{"type":"string","enum":["pending","failed","canceled"],"uniqueKey":"details.currentStatus","typeLabel":"enum\u003cstring>"}},"uniqueKey":"details","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","message":"\u003cstring>","traceId":"\u003cstring>","details":{"currentStatus":"pending"}}}},"exampleType":"generated"}},"exampleType":"generated"},"a476fd43-3b44-4b18-91e2-3e7f355eb47b":{"description":"Unexpected tool failure.","content":{"application/json":{"schema":{"type":"object","required":["error","message","traceId"],"properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"traceId":{"type":"string","isRequired":true,"uniqueKey":"traceId","typeLabel":"string"},"details":{"type":"object","properties":{"currentStatus":{"type":"string","enum":["pending","failed","canceled"],"uniqueKey":"details.currentStatus","typeLabel":"enum\u003cstring>"}},"uniqueKey":"details","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","message":"\u003cstring>","traceId":"\u003cstring>","details":{"currentStatus":"pending"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"03376a8e-cf4e-49ad-8c49-6c13c8ab946f":{"X-API-Key":{"type":"apiKey","in":"header","name":"X-API-Key","scopes":[],"schemeName":"X-API-Key"}}},"servers":{"242e9488-70ab-42dc-bbbd-3e1d27b9a0d2":{"url":"https://gateway.firsttouch.ai","description":"FirstTouch production Public API"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"X-API-Key","scopes":[],"schemeName":"X-API-Key"},"schema":{"title":"X-API-Key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"X-API-Key","name":"X-API-Key"}],"title":"X-API-Key"}]},"originalFileLocation":"https://gateway.firsttouch.ai/api/public/openapi.json"},"subdomain":"firsttouchinc","siteName":"First Touch Documentation","title":"Create Audience - First Touch Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-17T16:54:08.612Z","originalFileLocation":"api-reference/operations/audiences/create-audience.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Requires the admin team role or global admin access. Check get_current_user.toolAccess before calling. Creates an unlinked FirstTouch audience from supplied contacts, saved prospects, a connected HubSpot list, or a Sales Navigator search/list. Detailed usage guidance Manual mode accepts either contacts with contact data or prospects with exact persisted prospectId values, never both. Both support per-contact customVariables saved before flow definitions exist. Loading saved prospects does not continue discovery or charge discovery credits. hubspot_list schedules background synchronization; sales_navigator starts a background import using the selected LinkedIn account. This tool does not attach the audience to a Flow Plan, publish a flow, enroll contacts, or execute flow steps. Use attach_audience_to_flow as a separate call when the user wants to link the created audience to a flow. Read get_guide with topic=audience_management before creating an audience.\">\u003cmeta data-mint-head name=\"application-name\" content=\"First Touch Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/firsttouchinc/U9nO7K0uTyb4nKbc/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/firsttouchinc/U9nO7K0uTyb4nKbc/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/firsttouchinc/U9nO7K0uTyb4nKbc/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/firsttouchinc/U9nO7K0uTyb4nKbc/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/firsttouchinc/U9nO7K0uTyb4nKbc/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/firsttouchinc/U9nO7K0uTyb4nKbc/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/firsttouchinc/U9nO7K0uTyb4nKbc/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/firsttouchinc/U9nO7K0uTyb4nKbc/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/firsttouchinc/U9nO7K0uTyb4nKbc/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Audience - First Touch Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Requires the admin team role or global admin access. Check get_current_user.toolAccess before calling. Creates an unlinked FirstTouch audience from supplied contacts, saved prospects, a connected HubSpot list, or a Sales Navigator search/list. Detailed usage guidance Manual mode accepts either contacts with contact data or prospects with exact persisted prospectId values, never both. Both support per-contact customVariables saved before flow definitions exist. Loading saved prospects does not continue discovery or charge discovery credits. hubspot_list schedules background synchronization; sales_navigator starts a background import using the selected LinkedIn account. This tool does not attach the audience to a Flow Plan, publish a flow, enroll contacts, or execute flow steps. Use attach_audience_to_flow as a separate call when the user wants to link the created audience to a flow. Read get_guide with topic=audience_management before creating an audience.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"First Touch Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.firsttouch.com/api-reference/operations/audiences/create-audience\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://firsttouchinc.mintlify.site/_mintlify/api/og/v2?division=Audiences\u0026amp;title=Create+Audience\u0026amp;description=Requires+the+admin+team+role+or+global+admin+access.+Check+get_current_user.toolAccess+before+calling.%0A%0ACreates+an+unlinked+FirstTouch+audience+from+supplied+co\u0026amp;theme=5f85d7151b19d4015bee1fbc\u0026amp;signature=b042deec0891fef5db8fbb1a11bdad41cedef213fb41ab44fbe06bfc3cfb2f1b\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Audience - First Touch Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Requires the admin team role or global admin access. Check get_current_user.toolAccess before calling. Creates an unlinked FirstTouch audience from supplied contacts, saved prospects, a connected HubSpot list, or a Sales Navigator search/list. Detailed usage guidance Manual mode accepts either contacts with contact data or prospects with exact persisted prospectId values, never both. Both support per-contact customVariables saved before flow definitions exist. Loading saved prospects does not continue discovery or charge discovery credits. hubspot_list schedules background synchronization; sales_navigator starts a background import using the selected LinkedIn account. This tool does not attach the audience to a Flow Plan, publish a flow, enroll contacts, or execute flow steps. Use attach_audience_to_flow as a separate call when the user wants to link the created audience to a flow. Read get_guide with topic=audience_management before creating an audience.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://firsttouchinc.mintlify.site/_mintlify/api/og/v2?division=Audiences\u0026amp;title=Create+Audience\u0026amp;description=Requires+the+admin+team+role+or+global+admin+access.+Check+get_current_user.toolAccess+before+calling.%0A%0ACreates+an+unlinked+FirstTouch+audience+from+supplied+co\u0026amp;theme=5f85d7151b19d4015bee1fbc\u0026amp;signature=b042deec0891fef5db8fbb1a11bdad41cedef213fb41ab44fbe06bfc3cfb2f1b\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/firsttouchinc/U9nO7K0uTyb4nKbc/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"First Touch Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3c5d29\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.firsttouch.com/api-reference/operations/audiences/create-audience\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/operations/audiences/create-audience.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.firsttouch.com/#organization\",\"name\":\"First Touch Documentation\",\"url\":\"https://docs.firsttouch.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/firsttouchinc/KoeOV6b_CS31YYJH/logo/ft-logo-light.svg?fit=max\u0026auto=format\u0026n=KoeOV6b_CS31YYJH\u0026q=85\u0026s=87af502d498df0381cc422a74010729f\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.firsttouch.com#website\",\"name\":\"First Touch Documentation\",\"url\":\"https://docs.firsttouch.com\",\"publisher\":{\"@id\":\"https://docs.firsttouch.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.firsttouch.com/api-reference/operations/audiences/create-audience#webpage\",\"url\":\"https://docs.firsttouch.com/api-reference/operations/audiences/create-audience\",\"name\":\"Create Audience\",\"description\":\"Requires the admin team role or global admin access. Check get_current_user.toolAccess before calling. Creates an unlinked FirstTouch audience from supplied contacts, saved prospects, a connected HubSpot list, or a Sales Navigator search/list. Detailed usage guidance Manual mode accepts either contacts with contact data or prospects with exact persisted prospectId values, never both. Both support per-contact customVariables saved before flow definitions exist. Loading saved prospects does not continue discovery or charge discovery credits. hubspot_list schedules background synchronization; sales_navigator starts a background import using the selected LinkedIn account. This tool does not attach the audience to a Flow Plan, publish a flow, enroll contacts, or execute flow steps. Use attach_audience_to_flow as a separate call when the user wants to link the created audience to a flow. Read get_guide with topic=audience_management before creating an audience.\",\"dateModified\":\"2026-11-17T16:54:08.612Z\",\"isPartOf\":{\"@id\":\"https://docs.firsttouch.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.firsttouch.com/api-reference/operations/audiences/create-audience#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.firsttouch.com/api-reference/operations/audiences/create-audience#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Public API\",\"item\":\"https://docs.firsttouch.com/api-reference/introduction\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"API Operations\",\"item\":\"https://docs.firsttouch.com/api-reference/operations\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Audiences\",\"item\":\"https://docs.firsttouch.com/api-reference/operations/audiences/add-audience-contacts\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Create Audience\",\"item\":\"https://docs.firsttouch.com/api-reference/operations/audiences/create-audience\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.firsttouch.com/api-reference/operations/audiences/create-audience#apireference\",\"headline\":\"Create Audience\",\"name\":\"Create Audience\",\"description\":\"Requires the admin team role or global admin access. Check get_current_user.toolAccess before calling. Creates an unlinked FirstTouch audience from supplied contacts, saved prospects, a connected HubSpot list, or a Sales Navigator search/list. Detailed usage guidance Manual mode accepts either contacts with contact data or prospects with exact persisted prospectId values, never both. Both support per-contact customVariables saved before flow definitions exist. Loading saved prospects does not continue discovery or charge discovery credits. hubspot_list schedules background synchronization; sales_navigator starts a background import using the selected LinkedIn account. This tool does not attach the audience to a Flow Plan, publish a flow, enroll contacts, or execute flow steps. Use attach_audience_to_flow as a separate call when the user wants to link the created audience to a flow. Read get_guide with topic=audience_management before creating an audience.\",\"url\":\"https://docs.firsttouch.com/api-reference/operations/audiences/create-audience\",\"mainEntityOfPage\":{\"@id\":\"https://docs.firsttouch.com/api-reference/operations/audiences/create-audience#webpage\"},\"dateModified\":\"2026-11-17T16:54:08.612Z\",\"publisher\":{\"@id\":\"https://docs.firsttouch.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.firsttouch.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"First Touch Documentation\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"First Touch Documentation\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/operations/audiences/create-audience.md","siteName":"First Touch Documentation","nav":{"global":null,"groups":[{"group":"Start Here","pages":[{"title":"First Touch","href":"/index"},{"title":"Getting Started","sidebarTitle":"Quick Start","icon":"rocket-launch","mode":"wide","href":"/getting-started/overview"},{"title":"Setup","href":"/getting-started/setup/setup"},{"title":"Account Access","icon":"key","href":"/WebApp/Account-Access"}]},{"group":"Web App","pages":[{"title":"Web App Overview","icon":"laptop","href":"/WebApp/overview"},{"title":"Dashboard and Analytics","icon":"chart-line","href":"/WebApp/Dashboard-and-Analytics"},{"title":"Onboarding Agent","icon":"robot","href":"/WebApp/Onboarding-Agent"},{"title":"Billing, Plans, and Credits","icon":"credit-card","href":"/WebApp/Billing"},{"title":"Team Management","icon":"users-gear","href":"/WebApp/Team-Management"},{"title":"Roles, Seat Types, and Permissions","icon":"shield-user","href":"/WebApp/Roles-and-Permissions"},{"title":"Tasks","icon":"list-check","href":"/WebApp/Tasks"},{"title":"Activities","icon":"clock-rotate-left","href":"/WebApp/Activities"},{"title":"Outreach Queue","icon":"rectangle-list","href":"/WebApp/Outreach-Queue"},{"group":"Flows","pages":[{"title":"Create and Edit Flows","icon":"pen-ruler","href":"/WebApp/Flows/creating-and-editing"},{"title":"First Flow Guide","icon":"diagram-project","href":"/WebApp/Flows/first-flow-guide"},{"title":"Choose a Source","icon":"bolt","href":"/WebApp/Flows/choosing-a-trigger"},{"title":"Flow Settings","icon":"gear","href":"/WebApp/Flows/flow-settings"},{"title":"Messaging Guide","icon":"message-pen","href":"/WebApp/Flows/Master-Messaging-Guide"},{"title":"Variables and Personalization","icon":"brackets-curly","href":"/WebApp/Flows/variables-and-personalization"},{"title":"Personalize LinkedIn Connection Notes","sidebarTitle":"Personalized Connection Notes","icon":"user-plus","href":"/WebApp/Flows/personalized-linkedin-connection-notes"},{"title":"Flow Enrollments","icon":"route","href":"/WebApp/Flows/enrollments"},{"group":"Available Flow Actions","pages":[{"title":"Email Steps","icon":"envelope","href":"/WebApp/Flows/Available-Flow-Actions/Email-Steps"},{"title":"Action Delays","icon":"hourglass","href":"/WebApp/Flows/Available-Flow-Actions/Delays"},{"title":"Conditional Split","icon":"code-branch","href":"/WebApp/Flows/Available-Flow-Actions/Conditional-Split"},{"title":"Manual Tasks","icon":"list-check","href":"/WebApp/Flows/Available-Flow-Actions/Manual-Tasks"},{"title":"Manual Assignment","icon":"user-pen","href":"/WebApp/Flows/Available-Flow-Actions/Manual-Assignment"},{"title":"CRM Enrichment","icon":"database","href":"/WebApp/Flows/Available-Flow-Actions/CRM-Enrichment"}]},{"group":"Agents","pages":[{"title":"Agents Overview","icon":"robot","href":"/WebApp/Flows/Agents/overview"},{"title":"Research Agent","icon":"globe","href":"/WebApp/Flows/Agents/researcher"},{"title":"Qualification Agent","icon":"filter-list","href":"/WebApp/Flows/Agents/qualification"}]},{"title":"Publish and Route Flows","icon":"paper-plane","href":"/WebApp/Flows/publishing"}]},{"group":"Signals","pages":[{"title":"Signals","icon":"tower-broadcast","href":"/WebApp/Signals/Overview"},{"title":"Website Visitors","icon":"globe-pointer","href":"/WebApp/Signals/Website-Visitors"},{"title":"Social Engagement","icon":"linkedin","iconType":"brands","href":"/WebApp/Signals/Social-Engagement"}]},{"title":"Audiences","sidebarTitle":"Audiences","icon":"users","href":"/WebApp/Audiences"},{"title":"Exclusion Lists","icon":"ban","href":"/WebApp/Exclusion-Lists"},{"group":"Email","pages":[{"title":"Email Automation","icon":"envelope","href":"/WebApp/Email/Overview"},{"title":"Email Sending and Scheduling","icon":"calendar-clock","href":"/WebApp/Email/Sending-and-Scheduling"},{"title":"Email Tracking, Replies, and Bounces","icon":"reply-all","href":"/WebApp/Email/Tracking-and-Replies"},{"title":"Email Troubleshooting","icon":"triangle-exclamation","href":"/WebApp/Email/Troubleshooting"}]},{"group":"Data Enrichment","pages":[{"title":"Data Enrichment","icon":"sparkles","href":"/WebApp/Data-Enrichment/Overview"},{"title":"Data Enrichment Troubleshooting","icon":"magnifying-glass-question","href":"/WebApp/Data-Enrichment/Troubleshooting"}]},{"title":"Sales Navigator Import","icon":"linkedin","iconType":"brands","href":"/WebApp/Sales-Navigator-Import"},{"group":"FirstTouch MCP","pages":[{"title":"Overview","sidebarTitle":"Overview","icon":"sparkles","href":"/WebApp/Mcp/overview"},{"title":"Connect FirstTouch MCP","sidebarTitle":"Connect","icon":"plug","href":"/WebApp/Mcp/connect"},{"title":"FirstTouch MCP Use Cases","sidebarTitle":"Use Cases","icon":"diagram-project","href":"/WebApp/Mcp/use-cases"},{"title":"FirstTouch MCP Prompt Library","sidebarTitle":"Prompt Library","icon":"message-lines","href":"/WebApp/Mcp/prompt-library"},{"title":"FirstTouch MCP Troubleshooting","sidebarTitle":"Troubleshooting","icon":"circle-question","href":"/WebApp/Mcp/troubleshooting"}]},{"group":"Slack","pages":[{"title":"Slack Agent","icon":"comments","href":"/WebApp/Slack/Agent"},{"title":"Slack Task Notifications","icon":"bell","href":"/WebApp/Slack/Task-Notifications"}]},{"group":"Social Platforms","pages":[{"title":"Social Integration","icon":"arrow-right-to-bracket","href":"/WebApp/Social/social-Integration"},{"title":"LinkedIn Actions","icon":"arrow-progress","href":"/WebApp/Social/Social-Orchestration"},{"title":"LinkedIn Unibox","icon":"inbox","href":"/WebApp/Social/LinkedIn-Unibox"}]},{"group":"HubSpot","pages":[{"title":"HubSpot Setup Guide","icon":"hubspot","iconType":"brands","href":"/WebApp/HubSpot/HubSpot-Quickstart-Guide"},{"title":"FirstTouch HubSpot Card","icon":"id-card","href":"/WebApp/HubSpot/UI-Card"},{"title":"Workflow Actions","icon":"diagram-project","href":"/WebApp/HubSpot/Workflow-Actions"},{"title":"HubSpot Task and Activity Sync","icon":"arrows-rotate","href":"/WebApp/HubSpot/Task-and-Activity-Sync"},{"title":"HubSpot Property Mapping","icon":"table-columns","href":"/WebApp/HubSpot/Property-Mapping"},{"title":"HubSpot Troubleshooting","icon":"wrench","href":"/WebApp/HubSpot/Troubleshooting"}]},{"group":"Settings","pages":[{"title":"User Settings","icon":"user-gear","href":"/WebApp/Settings/profile"},{"title":"User Accounts","icon":"circle-user","href":"/WebApp/Settings/user-accounts"},{"title":"Find your LinkedIn 2FA key","icon":"key","href":"/WebApp/Settings/linkedin-2fa-key"},{"title":"Sending Schedule","icon":"calendar-clock","href":"/WebApp/Settings/sending-schedule"},{"title":"Knowledge Base","icon":"brain","href":"/WebApp/Settings/knowledge-base"},{"title":"Security","icon":"lock","href":"/WebApp/Settings/security"},{"title":"Public API Keys","icon":"key","href":"/WebApp/Settings/api-keys"}]},{"group":"Team Settings","pages":[{"title":"HubSpot Integration","icon":"plug","href":"/WebApp/Settings/integrations"},{"group":"Webhooks","pages":[{"title":"Configure Webhooks","icon":"webhook","href":"/WebApp/Webhooks/overview"},{"title":"Webhook Technical Reference","icon":"code","href":"/WebApp/Webhooks/technical-reference"},{"title":"Webhook Troubleshooting","icon":"triangle-exclamation","href":"/WebApp/Webhooks/troubleshooting"}]}]}]},{"group":"Public API","pages":[{"title":"Public API Overview","sidebarTitle":"Overview","icon":"brackets-curly","href":"/api-reference/introduction"},{"title":"Agent Start Here","icon":"robot","href":"/api-reference/agent-start"},{"title":"Authentication","icon":"key","href":"/api-reference/authentication"},{"title":"Quickstart","icon":"rocket","href":"/api-reference/quickstart"},{"title":"Execution And Recovery","icon":"rotate","href":"/api-reference/execution-and-recovery"},{"title":"Check your setup before LinkedIn outreach","icon":"clipboard-check","href":"/api-reference/recipes/approved-linkedin-outreach"},{"group":"API Operations","root":{"title":"API Operations","icon":"book-open","href":"/api-reference/operations"},"pages":[{"group":"Social Engagement","pages":[{"title":"Activate Social Engagement Monitored Profile","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/activate_social_engagement_monitored_profile","href":"/api-reference/operations/social-engagement/activate-social-engagement-monitored-profile"},{"title":"Add Social Engagement Monitored Profile","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/add_social_engagement_monitored_profile","href":"/api-reference/operations/social-engagement/add-social-engagement-monitored-profile"},{"title":"Create Social Engagement Signal","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/create_social_engagement_signal","href":"/api-reference/operations/social-engagement/create-social-engagement-signal"},{"title":"Deactivate Social Engagement Monitored Profile","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/deactivate_social_engagement_monitored_profile","href":"/api-reference/operations/social-engagement/deactivate-social-engagement-monitored-profile"},{"title":"Delete Social Engagement Monitored Profile","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/delete_social_engagement_monitored_profile","href":"/api-reference/operations/social-engagement/delete-social-engagement-monitored-profile"},{"title":"Get Social Engagement Signal","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/get_social_engagement_signal","href":"/api-reference/operations/social-engagement/get-social-engagement-signal"},{"title":"List Social Engagement Engagers","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/list_social_engagement_engagers","href":"/api-reference/operations/social-engagement/list-social-engagement-engagers"},{"title":"List Social Engagement Monitored Profiles","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/list_social_engagement_monitored_profiles","href":"/api-reference/operations/social-engagement/list-social-engagement-monitored-profiles"},{"title":"List Social Engagement Signals","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/list_social_engagement_signals","href":"/api-reference/operations/social-engagement/list-social-engagement-signals"},{"title":"Manage Social Engagement Monitored Profile","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/manage_social_engagement_monitored_profile","href":"/api-reference/operations/social-engagement/manage-social-engagement-monitored-profile"},{"title":"Update Social Engagement Signal","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/update_social_engagement_signal","href":"/api-reference/operations/social-engagement/update-social-engagement-signal"}]},{"group":"Audiences","pages":[{"title":"Add Audience Contacts","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/add_audience_contacts","href":"/api-reference/operations/audiences/add-audience-contacts"},{"title":"Attach Audience To Flow","description":"Requires the admin team role or global admin access. Check get_current_user.toolAccess before calling.\n\nAttach an existing audience to an existing flow plan.\n\n**Usage notes**\n\n- Contact preparation is asynchronous; inspect counts.candidate_generation_started and nextSteps before interpreting an empty Awaiting list.\n- Use get_flow_workspace to refresh the flow state.","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/attach_audience_to_flow","href":"/api-reference/operations/audiences/attach-audience-to-flow"},{"title":"Create Audience","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/create_audience","href":"/api-reference/operations/audiences/create-audience"},{"title":"Delete Audience","description":"Requires the admin team role or global admin access. Check get_current_user.toolAccess before calling.\n\nDelete an existing audience.\n\n**Usage notes**\n\n- Before calling this tool, warn the user that deletion cannot be undone.\n- Ask whether to cancel awaiting enrollments and whether to cancel enrollments already in progress if the user did not explicitly specify each choice.\n- Both options default to true only after the user has been asked.","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/delete_audience","href":"/api-reference/operations/audiences/delete-audience"},{"title":"List Audiences","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/list_audiences","href":"/api-reference/operations/audiences/list-audiences"}]},{"group":"Dynamic Actions","pages":[{"title":"Add Contact Action","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/add_contact_action","href":"/api-reference/operations/dynamic-actions/add-contact-action"},{"title":"Add Dynamic Action","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/add_dynamic_action","href":"/api-reference/operations/dynamic-actions/add-dynamic-action"},{"title":"Create Contact Sequence","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/create_contact_sequence","href":"/api-reference/operations/dynamic-actions/create-contact-sequence"},{"title":"Find MCP Enrollment","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/find_mcp_enrollment","href":"/api-reference/operations/dynamic-actions/find-mcp-enrollment"}]},{"group":"Contact Data \u0026 Enrichment","pages":[{"title":"Add Exclusions","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/add_exclusions","href":"/api-reference/operations/contact-data-\u0026-enrichment/add-exclusions"},{"title":"Enrich Company","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/enrich_company","href":"/api-reference/operations/contact-data-\u0026-enrichment/enrich-company"},{"title":"Enrich Contact","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/enrich_contact","href":"/api-reference/operations/contact-data-\u0026-enrichment/enrich-contact"},{"title":"Enrich Email","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/enrich_email","href":"/api-reference/operations/contact-data-\u0026-enrichment/enrich-email"},{"title":"Enrich Phone","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/enrich_phone","href":"/api-reference/operations/contact-data-\u0026-enrichment/enrich-phone"},{"title":"Find Contact Data","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/find_contact_data","href":"/api-reference/operations/contact-data-\u0026-enrichment/find-contact-data"},{"title":"Get Contact Trace","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/get_contact_trace","href":"/api-reference/operations/contact-data-\u0026-enrichment/get-contact-trace"},{"title":"Get Exclusions","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/get_exclusions","href":"/api-reference/operations/contact-data-\u0026-enrichment/get-exclusions"},{"title":"Remove Exclusions","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/remove_exclusions","href":"/api-reference/operations/contact-data-\u0026-enrichment/remove-exclusions"},{"title":"Resync Exclusion Segment","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/resync_exclusion_segment","href":"/api-reference/operations/contact-data-\u0026-enrichment/resync-exclusion-segment"}]},{"group":"Enrollments","pages":[{"title":"Add Manual Flow Enrollment","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/add_manual_flow_enrollment","href":"/api-reference/operations/enrollments/add-manual-flow-enrollment"},{"title":"Cancel Awaiting Flow Items","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/cancel_awaiting_flow_items","href":"/api-reference/operations/enrollments/cancel-awaiting-flow-items"},{"title":"Cancel Flow Enrollments","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/cancel_flow_enrollments","href":"/api-reference/operations/enrollments/cancel-flow-enrollments"},{"title":"Enroll Awaiting Flow Items","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/enroll_awaiting_flow_items","href":"/api-reference/operations/enrollments/enroll-awaiting-flow-items"},{"title":"Get Flow Enrollment Candidate","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/get_flow_candidate","href":"/api-reference/operations/enrollments/get-flow-enrollment-candidate"},{"title":"Get Flow Enrollment","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/get_flow_enrollment","href":"/api-reference/operations/enrollments/get-flow-enrollment"},{"title":"List Enrollments","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/list_enrollments","href":"/api-reference/operations/enrollments/list-enrollments"},{"title":"List Flow Enrollment Candidates","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/list_flow_candidates","href":"/api-reference/operations/enrollments/list-flow-enrollment-candidates"},{"title":"List Flow Plan Enrollments","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/list_flow_plan_enrollments","href":"/api-reference/operations/enrollments/list-flow-plan-enrollments"},{"title":"Reenroll Flow Enrollments","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/reenroll_flow_enrollments","href":"/api-reference/operations/enrollments/reenroll-flow-enrollments"},{"title":"Update Flow Enrollment Candidates Custom Variables","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/update_flow_candidates_custom_variables","href":"/api-reference/operations/enrollments/update-flow-enrollment-candidates-custom-variables"},{"title":"Validate Flow Reenroll","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/validate_flow_reenroll","href":"/api-reference/operations/enrollments/validate-flow-reenroll"}]},{"group":"Tasks \u0026 Outreach Queues","pages":[{"title":"Approve Tasks","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/approve_tasks","href":"/api-reference/operations/tasks-\u0026-outreach-queues/approve-tasks"},{"title":"Complete Task","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/complete_task","href":"/api-reference/operations/tasks-\u0026-outreach-queues/complete-task"},{"title":"Edit Task Action","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/edit_task_action","href":"/api-reference/operations/tasks-\u0026-outreach-queues/edit-task-action"},{"title":"Get Outreach Queue Insights","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/get_outreach_queue_insights","href":"/api-reference/operations/tasks-\u0026-outreach-queues/get-outreach-queue-insights"},{"title":"List Email Send Queue","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/list_email_send_queue","href":"/api-reference/operations/tasks-\u0026-outreach-queues/list-email-send-queue"},{"title":"List LinkedIn Outreach Queue","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/list_linkedin_outreach_queue","href":"/api-reference/operations/tasks-\u0026-outreach-queues/list-linkedin-outreach-queue"},{"title":"Preview Task","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/preview_task","href":"/api-reference/operations/tasks-\u0026-outreach-queues/preview-task"},{"title":"Skip Task","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/skip_task","href":"/api-reference/operations/tasks-\u0026-outreach-queues/skip-task"},{"title":"Tasks Get Statuses","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/tasks_get_statuses","href":"/api-reference/operations/tasks-\u0026-outreach-queues/tasks-get-statuses"},{"title":"Tasks List","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/tasks_list","href":"/api-reference/operations/tasks-\u0026-outreach-queues/tasks-list"}]},{"group":"Flow Plans","pages":[{"title":"Create Draft Flow Plan","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/create_flow_plan","href":"/api-reference/operations/flow-plans/create-draft-flow-plan"},{"title":"Delete Flow Plan","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/delete_flow_plan","href":"/api-reference/operations/flow-plans/delete-flow-plan"},{"title":"Get Flow Available Variables","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/get_flow_available_variables","href":"/api-reference/operations/flow-plans/get-flow-available-variables"},{"title":"Get Flow Source Modes","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/get_flow_source_modes","href":"/api-reference/operations/flow-plans/get-flow-source-modes"},{"title":"Get Flow Workspace","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/get_flow_workspace","href":"/api-reference/operations/flow-plans/get-flow-workspace"},{"title":"List Flow Assignments","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/list_flow_assignments","href":"/api-reference/operations/flow-plans/list-flow-assignments"},{"title":"List Flow Plans","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/list_flow_plans","href":"/api-reference/operations/flow-plans/list-flow-plans"},{"title":"Manage Flow Publication","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/manage_flow_publication","href":"/api-reference/operations/flow-plans/manage-flow-publication"},{"title":"Replace Flow Root","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/replace_flow_root","href":"/api-reference/operations/flow-plans/replace-flow-root"},{"title":"Update Flow Custom Variables","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/update_flow_custom_variables","href":"/api-reference/operations/flow-plans/update-flow-custom-variables"},{"title":"Update Flow Plan Settings","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/update_flow_plan","href":"/api-reference/operations/flow-plans/update-flow-plan-settings"}]},{"group":"Contact Discovery","pages":[{"title":"Discover Contacts","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/discover_contacts","href":"/api-reference/operations/contact-discovery/discover-contacts"},{"title":"Get Contact Discovery Audience Import Status","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/get_contact_discovery_audience_import_status","href":"/api-reference/operations/contact-discovery/get-contact-discovery-audience-import-status"},{"title":"Get Contact Discovery Industry Values","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/get_contact_discovery_industry_values","href":"/api-reference/operations/contact-discovery/get-contact-discovery-industry-values"},{"title":"Start Contact Discovery Audience Import","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/start_contact_discovery_audience_import","href":"/api-reference/operations/contact-discovery/start-contact-discovery-audience-import"}]},{"group":"Credits \u0026 Billing","pages":[{"title":"Get Credits Usage","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/get_credits_usage","href":"/api-reference/operations/credits-\u0026-billing/get-credits-usage"},{"title":"Get Feature Costs","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/get_feature_costs","href":"/api-reference/operations/credits-\u0026-billing/get-feature-costs"},{"title":"Get User Credit Usage","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/get_user_credit_usage","href":"/api-reference/operations/credits-\u0026-billing/get-user-credit-usage"},{"title":"List Credit Transactions","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/list_credit_transactions","href":"/api-reference/operations/credits-\u0026-billing/list-credit-transactions"},{"title":"List Flow Plan Credits Usage","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/list_flow_plan_credits_usage","href":"/api-reference/operations/credits-\u0026-billing/list-flow-plan-credits-usage"},{"title":"List Purchases","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/list_purchases","href":"/api-reference/operations/credits-\u0026-billing/list-purchases"}]},{"group":"Team \u0026 Account","pages":[{"title":"Get Current User","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/get_current_user","href":"/api-reference/operations/team-\u0026-account/get-current-user"},{"title":"Get Team Metrics","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/get_team_metrics","href":"/api-reference/operations/team-\u0026-account/get-team-metrics"},{"title":"List LinkedIn Team Connections","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/list_linkedin_team_connections","href":"/api-reference/operations/team-\u0026-account/list-linkedin-team-connections"},{"title":"List Team Members","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/list_team_members","href":"/api-reference/operations/team-\u0026-account/list-team-members"}]},{"group":"Guides","pages":[{"title":"Get Guide","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/get_guide","href":"/api-reference/operations/guides/get-guide"}]},{"group":"LinkedIn Inbox","pages":[{"title":"Get LinkedIn Unibox Conversation","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/get_linkedin_unibox_conversation","href":"/api-reference/operations/linkedin-inbox/get-linkedin-unibox-conversation"},{"title":"Get LinkedIn Unibox Counts","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/get_linkedin_unibox_counts","href":"/api-reference/operations/linkedin-inbox/get-linkedin-unibox-counts"},{"title":"List LinkedIn Unibox Conversations","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/list_linkedin_unibox_conversations","href":"/api-reference/operations/linkedin-inbox/list-linkedin-unibox-conversations"},{"title":"Send LinkedIn Unibox Message","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/send_linkedin_unibox_message","href":"/api-reference/operations/linkedin-inbox/send-linkedin-unibox-message"},{"title":"Update LinkedIn Unibox Conversation State","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/update_linkedin_unibox_conversation_state","href":"/api-reference/operations/linkedin-inbox/update-linkedin-unibox-conversation-state"}]},{"group":"HubSpot","pages":[{"title":"List HubSpot Lists","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/list_hubspot_lists","href":"/api-reference/operations/hubspot/list-hubspot-lists"},{"title":"Preview HubSpot List","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/preview_hubspot_list","href":"/api-reference/operations/hubspot/preview-hubspot-list"}]},{"group":"Support","pages":[{"title":"Report Issue","deprecated":null,"version":null,"openapi":"https://gateway.firsttouch.ai/api/public/openapi.json post /api/public/tools/report_issue","href":"/api-reference/operations/support/report-issue"}]}]}]},{"group":"Chrome Extension","pages":[{"title":"Overview","icon":"chrome","iconType":"brands","href":"/ChromeExtension/overview"},{"title":"The Action Bar","icon":"wand-magic-sparkles","href":"/ChromeExtension/action-bar"},{"title":"Enrichment","icon":"magnifying-glass","href":"/ChromeExtension/enrichment"},{"title":"Research","icon":"magnifying-glass-chart","href":"/ChromeExtension/research"}]},{"group":"References","pages":[{"title":"Safety Checklist","icon":"octagon-check","href":"/Safety-Checklist"},{"title":"Trust and Safety Policies","href":"/Trust-and-Safety-Policies"},{"title":"Data Processing \u0026 Security","sidebarTitle":"Data \u0026 Privacy","icon":"shield-check","href":"/data-compliance"},{"title":"Approved Subprocessors","icon":"server","href":"/approved-subprocessors"}]}]},"basePath":"","title":"Create Audience - First Touch Documentation","deploymentId":"dpl_DyXGnKeCjZyA3sUdfMJ7FjkdBefg","buildId":"dpl_DyXGnKeCjZyA3sUdfMJ7FjkdBefg","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CiUHMMOm.js","snippetPresets-BgfXU7Bw.js","utils-DWvOwgy_.js","style-to-object-BY3JEAdk.js","utils-BN7RXSMJ.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-CFw8bq89.js","conditional-requirements-CFM0id0Q.js","cloneDeep-CAwdfOU2.js","_Uint8Array-BJr8e-ZL.js","isObject-FP1Yky1u.js","ApiExamples-XX0UgMZK.js","usePlaygroundInputsStore-DXDFSa1V.js","shallow-CdX5aREi.js","isEqual-CoOaxexF.js","CodeSnippets-Cg2wpzWm.js","CodeSnippet-D_HwgQO_.js","getApiPlaygroundDisplay-CmCoerhe.js","Page-CVJ-f_k1.js","DynamicMarkdown-CQM9Bhbv.js","SectionHeading-DpbrP8nQ.js","icon-BPCgijHy.js","MethodPill-GQ8DuY0c.js","getPastedJson-Cb5mT31m.js","Check2Icon-a7bUI6e8.js","axios-CsQoIw0U.js","Markdown-CX2QY19L.js","AssistantPageLink-CY3bFglh.js","dist-Dl6_zDnT.js","lib-DMeTj1gb.js","lib-B8HbPgcC.js","katex-Dbtb6Wk7.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js"]}